<?xml version="1.0" encoding="UTF-8"?>
<refentry xmlns="http://docbook.org/ns/docbook" 
	  xmlns:xlink="http://www.w3.org/1999/xlink" 
	  xmlns:svg="http://www.w3.org/2000/svg" 
	  xmlns:mml="http://www.w3.org/1998/Math/MathML" 
	  xmlns:db="http://docbook.org/ns/docbook" 
	  version="5.0-subset Scilab" 
	  xml:lang="en" 
	  xml:id="regpoly1">
  <info>
    <pubdate>5-Dec-2007</pubdate>
  </info>
  <refnamediv>
    <refname>regpoly1</refname>
    <refpurpose> First order polynomial regression function </refpurpose>
  </refnamediv>
  
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>[f,df] = regpoly1(S)</synopsis>
  </refsynopsisdiv>
  
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>S</term>
        <listitem>
          <para>m*n matrix with design sites</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>f</term>
        <listitem>
          <para>[1  s]</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>df</term>
        <listitem>
          <para>Jacobian at the first point (first row in S)</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  
  <refsection>
    <title>Description</title>
    <para>First order polynomial regression function</para>
  </refsection>
  
  <refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
// Variables :
m=7; // number of point of the experiment
n=3; // nb of dimensions

S=[]
S(1:m, 1:n) = 2*rand(m, n)-1;

[f,df] = regpoly1(S)
disp(S, 's = ')
disp(f,'f = ')
disp(df, 'df = ')


   ]]></programlisting>
</refsection>
  
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member> 
        <link linkend="dacefit">dacefit</link> 
      </member>
      <member> 
        <link linkend="regpoly2">regpoly2</link> 
      </member>
    </simplelist>
  </refsection>
  
  <refsection>
    <title>Authors</title>
    <variablelist>
      <varlistentry>
	<term>collette</term>
	<listitem>
	  <para>ycollet@freesurf.Fr</para>
	</listitem>
      </varlistentry>
    </variablelist>
  </refsection>
</refentry>
